sound in chrome: echos
09/09/2022 07:46 PM - Josip Almasi
Priority: Normal Due date:
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

Sound in firefox works just fine, with or without headset.
But in chrome, there's significant echo when sound plays on speakers, effectively forcing users to use headset.

This is most likely due to how MediaStreams.attachAudioStream() sets up mixer:

var ctx = voice._inputAudioNode.context;
var gainNode = voice.getSoundGain () ;

voice._streamingSource.connect (voice._soundPanner) ;
voice._soundPanner.connect (gainNode) ;
gainNode.connect (ctx.destination);

That's a dirty hack for possible babylon and/or chrome bug that may or may not be there:

https://forum.babylonjs.com/t/sound-created-with-a-remote-webrtc-stream-track-does-not-seem-to-work/7047

History

#1 - 12/18/2023 11:47 AM - Josip Almasi
- Status changed from New to Resolved

- Assignee set to Josip Almasi

#2 - 01/03/2024 06:33 PM - Josip Almasi

- Status changed from Resolved to Closed
